`CLIPビジョンエンコード`ノードは、ComfyUIにおける画像エンコードノードであり、CLIP Visionモデルを用いて入力画像を視覚特徴ベクトルに変換します。このノードは画像とテキスト理解をつなぐ重要な橋渡し役であり、さまざまなAI画像生成・処理ワークフローで広く利用されています。

**ノードの機能**

- **画像特徴抽出**：入力画像を高次元特徴ベクトルに変換します
- **マルチモーダル連携**：画像とテキストの共同処理の基盤を提供します
- **条件生成**：画像ベースの条件生成に視覚条件を提供します

## 入力

| パラメータ名      | Data Type    | 説明                                                         |
|-------------------|--------------|--------------------------------------------------------------|
| クリップビジョン   | CLIP_VISION  | CLIPビジョンモデル。通常はCLIPVisionLoaderノードで読み込みます |
| 画像              | IMAGE        | エンコードする入力画像                                        |
| クロップ          | Dropdown     | 画像のクロップ方法。center（中央クロップ）、none（クロップなし）|

## 出力

| 出力名              | Data Type           | 説明                         |
|---------------------|--------------------|------------------------------|
| CLIP_VISION_OUTPUT  | CLIP_VISION_OUTPUT | エンコードされた視覚特徴      |

この出力オブジェクトには以下が含まれます：
- `last_hidden_state`: 最終隠れ状態
- `image_embeds`: 画像埋め込みベクトル
- `penultimate_hidden_states`: 最後から2番目の隠れ状態
- `mm_projected`: マルチモーダル投影結果（利用可能な場合）
