`CLIP_VISION 인코딩` 노드는 ComfyUI에서 이미지 인코딩 노드로, CLIP Vision 모델을 사용하여 입력 이미지를 시각적 특징 벡터로 변환합니다. 이 노드는 이미지와 텍스트 이해를 연결하는 중요한 다리 역할을 하며, 다양한 AI 이미지 생성 및 처리 워크플로우에서 널리 사용됩니다.

**노드 기능**

- **이미지 특징 추출**: 입력 이미지를 고차원 특징 벡터로 변환합니다
- **멀티모달 브릿지**: 이미지와 텍스트의 공동 처리를 위한 기반을 제공합니다
- **조건부 생성**: 이미지 기반 조건 생성에 시각적 조건을 제공합니다

## 입력

| 매개변수명      | Data Type    | 설명                                                         |
|----------------|-------------|--------------------------------------------------------------|
| clip_vision    | CLIP_VISION | CLIP 비전 모델, 일반적으로 CLIPVisionLoader 노드를 통해 불러옵니다 |
| 이미지         | IMAGE       | 인코딩할 입력 이미지                                         |
| 자르기 방법     | Dropdown    | 이미지 자르기 방법, 옵션: center(중앙 자르기), none(자르지 않음) |

## 출력

| 출력명             | Data Type           | 설명                         |
|--------------------|--------------------|------------------------------|
| CLIP_VISION 출력   | CLIP_VISION_OUTPUT | 인코딩된 시각적 특징          |

이 출력 객체에는 다음이 포함됩니다:
- `last_hidden_state`: 마지막 히든 상태
- `image_embeds`: 이미지 임베딩 벡터
- `penultimate_hidden_states`: 마지막에서 두 번째 히든 상태
- `mm_projected`: 멀티모달 프로젝션 결과(가능한 경우)
