Узел `Кодирование видения CLIP` в ComfyUI — это узел кодирования изображений, который используется для преобразования входных изображений в векторные визуальные признаки с помощью модели CLIP Vision. Этот узел является важным мостом между пониманием изображений и текста и широко используется в различных рабочих процессах генерации и обработки изображений с помощью ИИ.

**Функциональность узла**

- **Извлечение признаков изображения**: Преобразует входные изображения в векторы признаков высокой размерности
- **Мультимодальный мост**: Обеспечивает основу для совместной обработки изображений и текста
- **Условная генерация**: Предоставляет визуальные условия для генерации на основе изображений

## Входы

| Имя параметра  | Data Type    | Описание                                                      |
| -------------- | -----------  | ------------------------------------------------------------- |
| `clip_vision`  | CLIP_VISION  | Модель CLIP vision, обычно загружается через узел CLIPVisionLoader |
| `изображение`  | IMAGE        | Входное изображение для кодирования                           |
| `обрезка`      | Dropdown     | Метод обрезки изображения, варианты: center (центральная обрезка), none (без обрезки) |

## Выходы

| Имя выхода           | Data Type           | Описание                  |
| -------------------- | ------------------ | ------------------------- |
| CLIP_VISION_OUTPUT   | CLIP_VISION_OUTPUT | Закодированные визуальные признаки |

Этот объект выхода содержит:
- `last_hidden_state`: Последнее скрытое состояние
- `image_embeds`: Вектор эмбеддинга изображения
- `penultimate_hidden_states`: Предпоследнее скрытое состояние
- `mm_projected`: Результат мультимодального проецирования (если доступно)
